/*
Copyright (c) 2013-2015, Technolution B.V.
 All rights reserved.

Redistribution and use in source and binary forms, with or without modification,
are permitted provided that the following conditions are met:

1. Redistributions of source code must retain the above copyright notice, this 
   list of conditions and the following disclaimer.

2. Redistributions in binary form must reproduce the above copyright notice, this 
   list of conditions and the following disclaimer in the documentation and/or 
   other materials provided with the distribution.

3. Neither the name of Technolution nor the names of its contributors may be used 
   to endorse or promote products derived from this software without specific 
   prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND 
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED 
WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. 
IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, 
INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, 
BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, 
OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) 
ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE 
POSSIBILITY OF SUCH DAMAGE.
*/
package org.disperanto.displaysimulator.ui.panels;

import java.awt.Dimension;

import javax.swing.BorderFactory;
import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.JTable;
import javax.swing.table.DefaultTableModel;

import net.miginfocom.swing.MigLayout;

/**
 * Panel for showing current shown image and images in image slots of a display.
 */
public class BrightnessPanel extends JPanel {

    private static final String[] COLUMN_NAMES =
        { "0", "10", "20", "30", "40", "50", "60", "70", "80", "90", "100" };
    
    // components
    private JTable brightnessTable;

    /**
     * Constructor
     */
    public BrightnessPanel() {
        initUI();
    }

    private void initUI() {
        setLayout(new MigLayout());
        setBorder(BorderFactory.createTitledBorder("Brightness table"));

        DefaultTableModel model = new DefaultTableModel() {
            @Override
            public boolean isCellEditable(int row, int column) {
               return false;
            }
        };
        model.setColumnIdentifiers(COLUMN_NAMES);
        model.setRowCount(1);
        
        brightnessTable = new JTable(model);
        brightnessTable.setPreferredScrollableViewportSize(
                new Dimension(brightnessTable.getPreferredSize().width, 16));

        add(new JScrollPane(brightnessTable), "");
    }

    /**
     * @return the brightnessTable
     */
    public JTable getBrightnessTable() {
        return brightnessTable;
    }

    /**
     * @param brightnessTable the brightnessTable to set
     */
    public void setBrightnessTable(JTable brightnessTable) {
        this.brightnessTable = brightnessTable;
    }

}
