/*
Copyright (c) 2013, Technolution B.V.
 All rights reserved.

Redistribution and use in source and binary forms, with or without modification,
are permitted provided that the following conditions are met:

1. Redistributions of source code must retain the above copyright notice, this 
   list of conditions and the following disclaimer.

2. Redistributions in binary form must reproduce the above copyright notice, this 
   list of conditions and the following disclaimer in the documentation and/or 
   other materials provided with the distribution.

3. Neither the name of Technolution nor the names of its contributors may be used 
   to endorse or promote products derived from this software without specific 
   prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND 
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED 
WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. 
IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, 
INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, 
BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, 
OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) 
ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE 
POSSIBILITY OF SUCH DAMAGE.
*/
package org.disperanto.displaysimulator.ui.panels;

import javax.swing.BorderFactory;
import javax.swing.JLabel;
import javax.swing.JPanel;

import net.miginfocom.swing.MigLayout;

/**
 * Panel for showing current shown image and images in image slots of a display.
 */
public class CommunicationTimeoutPanel extends JPanel {
    // private static final Logger LOG = LoggerFactory.getLogger(CommunicationTimeoutPanel.class);

    // components
    private JLabel modeLabel;
    private JLabel modeField;
    private JLabel timeoutLabel;
    private JLabel timeoutField;
    private JLabel imageSlotLabel;
    private JLabel imageSlotField;

    /**
     * Constructor
     */
    public CommunicationTimeoutPanel() {
        initUI();
    }

    private void initUI() {
        setLayout(new MigLayout());
        setBorder(BorderFactory.createTitledBorder("Communication timeout settings"));

        modeLabel = new JLabel();
        modeField = new JLabel();
        timeoutLabel = new JLabel();
        timeoutField = new JLabel();
        imageSlotLabel = new JLabel();
        imageSlotField = new JLabel();

        modeLabel.setText("Mode:");
        add(modeLabel);
        add(modeField, "wrap");

        timeoutLabel.setText("Timeout (in ms):");
        add(timeoutLabel);
        add(timeoutField, "wrap, grow");

        imageSlotLabel.setText("Imageslot:");
        add(imageSlotLabel);
        add(imageSlotField, "wrap, grow");
    }

    /**
     * @return the modeLabel
     */
    public final JLabel getModeLabel() {
        return modeLabel;
    }

    /**
     * @return the timeoutLabel
     */
    public final JLabel getTimeoutLabel() {
        return timeoutLabel;
    }

    /**
     * @return the imageSlotLabel
     */
    public final JLabel getImageSlotLabel() {
        return imageSlotLabel;
    }

    /**
     * @return the modeField
     */
    public final JLabel getModeField() {
        return modeField;
    }

    /**
     * @return the timeoutField
     */
    public final JLabel getTimeoutField() {
        return timeoutField;
    }

    /**
     * @return the imageSlotField
     */
    public final JLabel getImageSlotField() {
        return imageSlotField;
    }
}
