/*
Copyright (c) 2013, Technolution B.V.
 All rights reserved.

Redistribution and use in source and binary forms, with or without modification,
are permitted provided that the following conditions are met:

1. Redistributions of source code must retain the above copyright notice, this 
   list of conditions and the following disclaimer.

2. Redistributions in binary form must reproduce the above copyright notice, this 
   list of conditions and the following disclaimer in the documentation and/or 
   other materials provided with the distribution.

3. Neither the name of Technolution nor the names of its contributors may be used 
   to endorse or promote products derived from this software without specific 
   prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND 
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED 
WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. 
IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, 
INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, 
BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, 
OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) 
ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE 
POSSIBILITY OF SUCH DAMAGE.
*/
package org.disperanto.displaysimulator.ui.panels;

import java.awt.Component;

import javax.swing.JScrollPane;
import javax.swing.JTable;
import javax.swing.event.TableModelEvent;
import javax.swing.event.TableModelListener;
import javax.swing.table.TableColumn;

import org.disperanto.displaysimulator.ui.models.LoggingModel;


/**
 * Panel for showing logging information of a display.
 */
public class LoggingPanel implements TableModelListener {
    private Component editor;
    private LoggingModel loggingModel;

    /**
     * Constructor
     * 
     * @param lm Model
     */
    public LoggingPanel(LoggingModel lm) {
        this.loggingModel = lm;
    }

    /**
     * Editor of panel
     * 
     * @return panel
     */
    public final Component getEditor() {
        if (editor == null) {
            final JTable table = new JTable(loggingModel);

            // Set the first visible column to 200 pixels wide
            final TableColumn col = table.getColumnModel().getColumn(0);
            col.setPreferredWidth(180);
            col.setMinWidth(180);
            col.setMaxWidth(180);

            final JScrollPane pane = new JScrollPane(table);

            editor = pane;
        }
        return editor;
    }

    @Override
    public void tableChanged(TableModelEvent e) {

    }

}
