/*
Copyright (c) 2013-2015, Technolution B.V.
 All rights reserved.

Redistribution and use in source and binary forms, with or without modification,
are permitted provided that the following conditions are met:

1. Redistributions of source code must retain the above copyright notice, this 
   list of conditions and the following disclaimer.

2. Redistributions in binary form must reproduce the above copyright notice, this 
   list of conditions and the following disclaimer in the documentation and/or 
   other materials provided with the distribution.

3. Neither the name of Technolution nor the names of its contributors may be used 
   to endorse or promote products derived from this software without specific 
   prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND 
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED 
WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. 
IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, 
INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, 
BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, 
OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) 
ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE 
POSSIBILITY OF SUCH DAMAGE.
*/
package org.disperanto.simulator;

import javax.swing.JFrame;
import javax.swing.UIManager;

import org.disperanto.simulator.controllers.Server;
import org.disperanto.simulator.ui.models.LoggingModel;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * Main class of Disperanto server simulator.
 */
public final class RunTdpServerSimulator {
    private static final Logger LOG = LoggerFactory.getLogger(RunTdpServerSimulator.class);

    private static LoggingModel loggingModel = new LoggingModel();

    private static Server server;

    private RunTdpServerSimulator() {
        // Empty constructor
    }

    /**
     * Starts the Display simulator for the Disperanto
     * 
     * @param args Arguments
     */
    public static void main(String[] args) throws Exception {
        LOG.info("Disperanto SERVER simulator");

        UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());

        server = new Server(loggingModel);

        SimulatorMainDialog dialog = new SimulatorMainDialog("'Disperanto' Server simulator", server, loggingModel);
        dialog.setVisible(true);
        dialog.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
    }
}
