/*
Copyright (c) 2013-2019, Technolution B.V.
 All rights reserved.

Redistribution and use in source and binary forms, with or without modification,
are permitted provided that the following conditions are met:

1. Redistributions of source code must retain the above copyright notice, this 
   list of conditions and the following disclaimer.

2. Redistributions in binary form must reproduce the above copyright notice, this 
   list of conditions and the following disclaimer in the documentation and/or 
   other materials provided with the distribution.

3. Neither the name of Technolution nor the names of its contributors may be used 
   to endorse or promote products derived from this software without specific 
   prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND 
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED 
WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. 
IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, 
INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, 
BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, 
OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) 
ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE 
POSSIBILITY OF SUCH DAMAGE.
*/
package org.disperanto.simulator.controllers;

import org.disperanto.simulator.ui.models.IBrightnessTableModel;
import org.disperanto.simulator.ui.models.ICommunicationTimeoutSettingsModel;
import org.disperanto.simulator.ui.models.ICrcListModel;
import org.disperanto.simulator.ui.models.IExternalLightingModel;
import org.disperanto.simulator.ui.models.IManipulateMemorySlotModel;
import org.disperanto.simulator.ui.models.ISetTextModel;
import org.disperanto.simulator.ui.models.IShowImageModel;
import org.disperanto.simulator.ui.models.ISlideShowModel;

public final class CommandChoiceViewModel {

    private final ICommunicationTimeoutSettingsModel timeoutModel;
    private final IBrightnessTableModel brightnessTableModel;
    private final IExternalLightingModel lightingModel;
    private final ICrcListModel crcModel;
    private final IShowImageModel showImageModel;
    private final ISlideShowModel slideShowModel;
    private final IManipulateMemorySlotModel manipulateMemorySlotModel;
    private final ISetTextModel setTextModel;

    public CommandChoiceViewModel(ICommunicationTimeoutSettingsModel timeoutModel,
            IBrightnessTableModel brightnessTableModel, IExternalLightingModel lightingModel, ICrcListModel crcModel,
            IShowImageModel showImageModel, ISlideShowModel slideShowModel,
            IManipulateMemorySlotModel manipulateMemorySlotModel, ISetTextModel setTextModel) {

        this.timeoutModel = timeoutModel;
        this.brightnessTableModel = brightnessTableModel;
        this.lightingModel = lightingModel;
        this.crcModel = crcModel;
        this.showImageModel = showImageModel;
        this.slideShowModel = slideShowModel;
        this.manipulateMemorySlotModel = manipulateMemorySlotModel;
        this.setTextModel = setTextModel;
    }

    public ICommunicationTimeoutSettingsModel getTimeoutModel() {
        return timeoutModel;
    }

    public IBrightnessTableModel getBrightnessTableModel() {
        return brightnessTableModel;
    }

    public IExternalLightingModel getLightingModel() {
        return lightingModel;
    }

    public ICrcListModel getCrcModel() {
        return crcModel;
    }

    public IShowImageModel getShowImageModel() {
        return showImageModel;
    }

    public ISlideShowModel getSlideShowModel() {
        return slideShowModel;
    }

    public IManipulateMemorySlotModel getManipulateMemorySlotModel() {
        return manipulateMemorySlotModel;
    }

    public ISetTextModel getSetTextModel() {
        return setTextModel;
    }

}