/*
Copyright (c) 2013-2015, Technolution B.V.
 All rights reserved.

Redistribution and use in source and binary forms, with or without modification,
are permitted provided that the following conditions are met:

1. Redistributions of source code must retain the above copyright notice, this 
   list of conditions and the following disclaimer.

2. Redistributions in binary form must reproduce the above copyright notice, this 
   list of conditions and the following disclaimer in the documentation and/or 
   other materials provided with the distribution.

3. Neither the name of Technolution nor the names of its contributors may be used 
   to endorse or promote products derived from this software without specific 
   prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND 
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED 
WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. 
IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, 
INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, 
BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, 
OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) 
ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE 
POSSIBILITY OF SUCH DAMAGE.
*/
package org.disperanto.data;

import org.disperanto.enums.ETdpManipulateMemorySlot;

/**
 * Defines the dimensions of the rectangle in Clear Rectangle  for the Disperanto.
 */
public class TdpClearRectangle implements IImageOperation {

    private int left;
    private int top;
    private int width;
    private int height;

    /**
     * Constructor
     */
    public TdpClearRectangle() {
        // empty object
    }
    
    /**
     * Constructor
     */
    public TdpClearRectangle(int left, int top, int width, int height) {
        super();
        this.left = left;
        this.top = top;
        this.width = width;
        this.height = height;
    }

    @Override
    public ETdpManipulateMemorySlot getType() {
        return ETdpManipulateMemorySlot.CLEAR_RECTANGLE;
    }

    /**
     * @return the left
     */
    public final int getLeft() {
        return left;
    }

    /**
     * @param left the left to set
     */
    public final void setLeft(int left) {
        this.left = left;
    }

    /**
     * @return the top
     */
    public final int getTop() {
        return top;
    }

    /**
     * @param top the top to set
     */
    public final void setTop(int top) {
        this.top = top;
    }

    /**
     * @return the width
     */
    public final int getWidth() {
        return width;
    }

    /**
     * @param width the width to set
     */
    public final void setWidth(int width) {
        this.width = width;
    }

    /**
     * @return the height
     */
    public final int getHeight() {
        return height;
    }

    /**
     * @param height the height to set
     */
    public final void setHeight(int height) {
        this.height = height;
    }

    @Override
    public final String toString() {
        final StringBuilder builder = new StringBuilder("Clear Rectangle: ");

        builder.append("\n\tleft: ").append(left);
        builder.append("\n\ttop: ").append(top);
        builder.append("\n\twidth: ").append(width);
        builder.append("\n\theight: ").append(height);

        return builder.toString();
    }
}
